Subject: Re: [MBONED] Progressing the AMT draft

From: Toerless Eckert <[email-masked]>
Date: Wed, 25 Nov 2009 12:59:10 -0800

I guess the work to be done on the draft independent of the UDP checksum
problem does not have any candidate roadblocks, it's just due diligence ?

So, on the UDP checksum, it seems the options are:

  a) Compromise the WG agreed upon design goals and succumb to
     the process as you suggest (UDP checksum part, rest see above is
     IMHO uncontentuous).

  b) Like a), but include a discussion in the non-normative part of the
     document about the benefit of non-use of UDP checksum and maybe even
     explain why this consideration can not be in the standards track
     partb ut might be a good vendor specific extension.

  c) Keep the design goals and go for experimental.

  d) Submit two drafts for separate RFCs with slighly modified text:
     a) for proposed standards, c) for experimental or even just informational
     if c) is denied even as an option by IETF.

Not sure if c) is allowed by IESG. IMHO it would be the most honest
solution and hopefully would also lead up to just reclassifying it as
proposed standard down the road when the IETF ha worked out it's
issues with no-UDP-checksums. I also do not see why experimental 
would promote AMT any less than a) - after all PIM and MSDP also made it
out the door as experimental.

b) in my opinion is the minimum we should achieve, a) itself would just
not allow vendors who are not involved in the process to reflect on
what the WG actually worked out but would just be a badly censored version.

d) is just silly, but if that's the only way to avoid doing just a),
then why not.

Cheers
    Toerless

On Wed, Nov 25, 2009 at 03:16:27PM -0500, Tom Pusateri wrote:
> I have a suggestion for progressing the AMT draft and wanted to see what people thought about it.
> 
> Currently, the draft is stuck because of wanting to optionally calculate the UDP checksum over IPv6 which is forbidden.
> 
> There is an effort underway to allow exceptions to this but its not clear how long this will take or if it will even get approved.
> 
> Now, if in a few more months we are able to get an exception, we will submit the AMT draft and there are bound to be some suggestions from the IESG on more changes needed in the draft and this will hold it up even longer.
> 
> So my suggestion is to work the process in parallel in the following way.
> 
> 1. Change the current AMT draft to require the UDP checksum to be calculated and submit it to the IESG.
> 2. Get their feedback on other changes that need to be made in order to proceed the draft to a proposed standard.
> 3. Make all the necessary changes needed and go back and forth with the IESG getting the draft exactly like it needs to be.
> 
> If by then, the checksum issue is worked out, we can make the change to the draft. If not, we can decide at that time how to proceed.
> 
> Sound reasonable?
> 
> Thanks,
> Tom
> _______________________________________________
> MBONED mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mboned